package evaluator.util;


/**
 * DataSourceInterface interface
 *
 * <p>Description: Is implemented by all objects that supply data to be saved.
 * by the Evaluator application.</p>
 * <p>Copyright: Copyright (C) 2003</p>
 * <p>Company: University of Hamburg, Germany</p>
 * @author Hartmut Obendorf, http://asi-www.informatik.uni-hamburg.de/personen/obendorf/
 * @author Harald Weinreich, http://vsis-www.informatik.uni-hamburg.de/~weinreic/
 * @version 1.1
 */

public interface DataSourceInterface {
    public String getHeader();
    public String getData();
    public boolean hasMoreData();
    public void next();
}
